#
# Copyright oVirt Authors
# SPDX-License-Identifier: Apache-2.0
#

Name:		ovirt-jboss-modules-maven-plugin
Version:	2.0.4
Release:	0.63.202307281004%{?dist}
Summary:	oVirt JBoss Modules Maven Plugin
Group:		Development/Libraries
License:	ASL 2.0
URL:		https://www.ovirt.org
Source:		%{name}-%{version}.tar.gz

# We need to disable automatic generation of "Requires: java-headless >= 1:11"
# by xmvn, becase JDK 11 doesn't provide java-headless artifact, but it
# provides java-11-headless.
AutoReq:	no

BuildArch:	noarch

BuildRequires:  java-11-openjdk-devel
BuildRequires:	maven-local
BuildRequires:  mvn(org.apache.maven.plugins:maven-compiler-plugin)
BuildRequires:	mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:	mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:	mvn(org.codehaus.plexus:plexus-archiver)
BuildRequires:	mvn(org.codehaus.plexus:plexus-utils)

# Required because of old xmvn version in COPR
BuildRequires: maven

Requires:	java-11-openjdk-headless >= 1:11.0.0
Requires:	javapackages-filesystem
Requires:	plexus-archiver
Requires:	plexus-utils


%description
Maven Plugin used to generate and attach an artifact containing
JBoss modules.

%package javadoc
Summary: Javadoc for %{name}.

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -c -q

# No need for maven-javadoc-plugin in RHEL 8, xmvn will take care of it.
%pom_remove_plugin :maven-javadoc-plugin pom.xml

%build
# Necessary to override the default for xmvn, which is JDK 8
export JAVA_HOME="/usr/lib/jvm/java-11-openjdk"

%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc AUTHORS.md
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Wed Apr 7 2021 Martin Perina <mperina@redhat.com> - 2.0.3-1
- Rebuild the project with OpenJDK 11
- Align project dependencies with latest recommendations about Maven plugins
  development
- Align RPM dependencies with Maven dependencies

* Wed Apr 15 2020 Sandro Bonazzola <sbonazzo@redhat.com> - 2.0.2-1
- Rebase on 2.0.2

* Wed Oct  7 2015 Juan Hernandez <juan.hernandez@redhat.com> - 2.0.0-1
- Initial packaging.
